extends CanvasLayer

signal nouveau_jeu

var boudin_is_on = 0

func _ready():
	$Score.hide()
	$MessageFin.hide()
	$BoutonRecommencer.hide()

func message_fin():
	$MessageFin.show()
	$Score.margin_top = 350
	$Score.show()
	$BoutonRecommencer.show()
	yield(get_tree().create_timer(1), "timeout")
	boudin_is_on = 2

func maj_score(score):
	$Score.text = str(score)

func _unhandled_input(event):
	if event is InputEventJoypadMotion:
		if event.get_axis() == 1:
			if event.get_axis_value() < -0.2:
				if boudin_is_on == 0:
					boudin_is_on = 1
					_jouer()
				if boudin_is_on == 2:
					boudin_is_on = 3
					_start_message()

func _on_BoutonDemarrer_pressed():
	_jouer()

func _jouer():
	$BoutonDemarrer.hide()
	yield(get_tree().create_timer(1), "timeout")
	$Consignes.hide()
	yield(get_tree().create_timer(1), "timeout")
	$TitreJeu.hide()
	emit_signal("nouveau_jeu")

func _on_BoutonRecommencer_pressed():
	$BoutonRecommencer.hide()
	yield(get_tree().create_timer(1), "timeout")
	$MessageFin.hide()
	$Score.hide()
	emit_signal("nouveau_jeu")

func _start_message():
	$BoutonRecommencer.hide()
	yield(get_tree().create_timer(1), "timeout")
	$MessageFin.hide()
	$Score.hide()
	
	$TitreJeu.show()
	$Consignes.show()
	$BoutonDemarrer.show()
	yield(get_tree().create_timer(1), "timeout")
	boudin_is_on = 0
